## org.apache.lucene.wordnet
Class SynLookup

    java.lang.Object
      org.apache.lucene.wordnet.SynLookup

    public class SynLookup

extends Object

Test program to look up synonyms.

Constructor Summary
`SynLookup()`

Method Summary
`static Query` `expand(String query, Searcher syns, Analyzer a, String field, float boost)` Perform synonym expansion on a query.
`static void` `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SynLookup

    public SynLookup()

Method Detail

### main

    public static void main(String[] args)
                     throws IOException

  Throws:
    `IOException`

### expand

    public static Query expand(String query,
                               Searcher syns,
                               Analyzer a,
                               String field,
                               float boost)
                        throws IOException

  Perform synonym expansion on a query.

  Parameters:
    `query` -
    `syns` -
    `a` -
    `field` -
    `boost` -
  Throws:
    `IOException`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.